## org.gnome.zeitgeist.Index org.gnome.zeitgeist.Index |

## Methods

    Search                    ()
    SearchWithRelevancies     ()

## Description

## Details

### Search ()

    Search                    ()

`query_string` : |
`time_range` : |
`filter_templates` : |
`offset` : |
`count` : |
`result_type` : |
`cancellable` : |
`events` : |
`matches` : |
`_callback_` : | callback to call when the request is satisfied
`_user_data_` : | the data to pass to @_callback_ function

### SearchWithRelevancies ()

    SearchWithRelevancies     ()

`relevancies_length1` : | length of the @relevancies array
`query_string` : |
`time_range` : |
`filter_templates` : |
`storage_state` : |
`offset` : |
`count` : |
`result_type` : |
`cancellable` : |
`events` : |
`relevancies` : |
`matches` : |
`_callback_` : | callback to call when the request is satisfied
`_user_data_` : | the data to pass to @_callback_ function